---
title: About
---

I'm Fabien Freling: a software engineer and avid gamer.

### 2008 - EPITA

I am an [EPITA](http://www.epita.fr/) alumni, promotion 2008.  At the end of my
studies, I decided to major in cognitive science and artificial intelligence.

At EPITA, I led the Mac association [EpiMac](http://www.epimac.org/), where I
learnt how to use a Mac to do my UNIX projects and then how to leverage the
awesomeness in Mac OS X technologies.

### 2008 - Internship in Princeton, New Jersey

I left for Princeton, New Jersey, to work for [Siemens Corporate
Research](http://www.usa.siemens.com/en/about_us/research/home.htm) during my
internship in computer graphics.

At the end of the year I went back to France, contributed a bit to
[Olena](http://olena.lrde.epita.fr/) while working at
[IGR](http://www.gustaveroussy.fr/), graduated, and decided it was time to set
sail again.

### 2010 - Oslo

In 2010 I moved to Oslo, Norway, to work as a [Qt](http://www.qt.io/) software
engineer for [Nokia](http://www.nokia.com/) with the great people of Trolltech.

But in the end, I decided Nokia's new direction with Windows Phone didn't suit
me so I decided to fly back to France.

Damn I missed croissants.

### 2011 - Computer vision

In 2011 I had the chance to work on computer vision projects. I joined [LTU
technologies](http://www.ltutech.com/) as a research engineer in Paris, France.
I implemented exciting computer vision stuff (image matching, retrieval, etc),
following the state of the art in the field. Unfortunately LTU shut down in
2015.

### 2015 - Camera software

In 2015 I joined [DxO](http://www.dxo.com/) in Boulogne-Billancourt, France.  I
worked in the Camera Controls team on the [DxO
One](https://en.wikipedia.org/wiki/DxO_ONE). The goal was to deduced the best
parameters to take a photo using automatic settings. It was my first time
working on the firmware level and I learned a ton about photography.

### 2017 - Maps

In 2017 I joined [Zenly](http://zen.ly). We make a social app with a strong
focus on the map, putting the fun back in map apps.

### Contact

<div align=center>
  <a href="https://octodon.social/@ffreling">
    <img src="images/mastodon_40.webp" alt="Mastodon" style="height:40px;">
  </a>
  <a href="http://gitlab.com/ffreling">
    <img src="images/gitlab_logo_40.webp" alt="GitLab" style="height:40px;">
  </a>
  <a href="http://github.com/ffreling">
    <img src="images/github_logo_40.webp" alt="GitHub" style="height:40px;">
  </a>
  <a href="http://fr.linkedin.com/in/ffreling">
    <img src="images/leencktyn_logo_40.webp" style="height:40px;">
  </a>
</div>
