---
title: Where is my car?
date: 2007
---

One of my first image processing based project done in 2007. It finds cars on a Google Maps
view, based on their color.

When I started this project, I had no experience in image processing, so I tried
what came to my mind. Looking backward, the sources are a real mess but I
acquired my first image processing skills with it.

Here are the basic steps of the program:

1. Delete the unnecessary colors from the image
2. Classify the image in 10 colors with the K-means algorithm
3. Delete huge objects that can't obviously be cars
4. Fill tiny holes
5. Classify again
6. Remove odd shapes
7. Fill tiny holes again
8. Restore original colors
9. Delete pixels with low saturation
10. Classify again
11. Remove little objects
12. Remove odd shapes
13. Later, I decided to bind it with a Cocoa GUI.


## Technologies

+ [The CImg Library](http://cimg.sourceforge.net/): a simple but powerful image processing library
+ [Cocoa](http://developer.apple.com/): the framework behind every Mac application
