---
title: Web stack
date: 2019-06-26
---

Previous stacks
---------------

At first I used to write my website using raw HTML and CSS. I did so to learn
the basics of websites. It was nothing fancy and soon I realized I wanted to be
able to script some parts, such as common navigation items.

I used this opportunity to try a tool in a programming language I wanted to
learn. I wanted to use a static website generator: since my personal website is
simple, I'd rather not involve databases. As a result, I ended up using
[Hakyll](https://jaspervdj.be/hakyll/).

But after using it every now and then, it became a black box and I didn't fully
understand how it worked.

Pandoc + Tup = ❤️
-----------------

I decided to use [Pandoc](https://pandoc.org/) to convert from Markdown to HTML.
It is widely used by other generators and takes care of the file conversion.

For automation, I use a simple top-level Makefile and
[Tup](http://gittup.org/tup/index.html).
